Subject: bug#78133: `./pre-inst-env guix lint` does not work at all

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 30 Apr 2025 08:24:13 +0900

Hi,

"nomike (they/them)" <[email-masked]> writes:

> Hi!
>
> I get an error when running =guix lint=:
>
> #+BEGIN_EXAMPLE text
> $ ./pre-inst-env guix lint [email-masked]
> guix: lint: command not found
> hint: Did you mean `lint'?
>
> Try `guix --help' for more information.
> #+END_EXAMPLE

I don't reproduce:

--8<---------------cut here---------------start------------->8---
~/src/guix$ ./pre-inst-env guix lint [email-masked]
guix lint: error: catch2: package not found for version 3.8.1
--8<---------------cut here---------------end--------------->8---

I'm not in a Guix shell environment, though I have a few Guile packages
installed in my user profile:

--8<---------------cut here---------------start------------->8---
$ guix package -I ^guile
guile-ssh     	0.18.0         	out	/gnu/store/mz4ib7rlcwxqahrbcg7njbi6r9ivjchb-guile-ssh-0.18.0
guile-sqlite3 	0.1.3          	out	/gnu/store/fjn1zy1hp882ss7k76w2jv7ma3r3d99v-guile-sqlite3-0.1.3
guile-readline	3.0.9          	out	/gnu/store/krbmim8zwwihgdn6jfyxzhnk320qfajz-guile-readline-3.0.9
guile-lib     	0.2.8          	out	/gnu/store/p7qx1yhxlz61r1hpcgdvdhqq343cryyp-guile-lib-0.2.8
guile-json    	4.7.3          	out	/gnu/store/711y2zrpg0ygxaghy72v8hzwla7mjaqg-guile-json-4.7.3
guile-hall    	0.4.1-1.7558ba9	out	/gnu/store/q2clfp1c8hghxnpddfsbgcq4qa2z02s4-guile-hall-0.4.1-1.7558ba9
guile-charting	0.2.0-1.75f755b	out	/gnu/store/bw0zq2f49q7yjspckd6gdwm7fsqvv9aw-guile-charting-0.2.0-1.75f755b
guile-ac-d-bus	1.0.0-beta.0   	out	/gnu/store/ssf3zj7cbaypqgwm48k3z3hlpifjz3ir-guile-ac-d-bus-1.0.0-beta.0
guile         	3.0.9          	out	/gnu/store/2dqynvxbfhw39bq8phw3kbpxcpd5yg0a-guile-3.0.9
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim